
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>原生js实现跨浏览器获取鼠标按键的值_javascript技巧 / iVAN</title>

    <meta name="description" content="原生js实现跨浏览器获取鼠标按键的值_javascript技巧 复制代码 代码如下: document.onmousedown = function( e ){ alert(getButton(e)) // e.button W3C是获取鼠标按键 0 表示左键 1表示中键 2表示右键 而IE浏览器则是 1表示左键 4表示中间 2表示右键 这里的IE浏览器主要是IE8以下的浏览器 }; function getButton(e){ /* 1.window.event这个属性IE和Chrome都是支持的 2.但是Chrome也是支持W3C的 3.所以,如果说W3">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">原生js实现跨浏览器获取鼠标按键的值_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><u>复制代码</u> 代码如下:</p>
<p>document.onmousedown = function( e ){ <br />alert(getButton(e)) // e.button W3C是获取鼠标按键 0 表示左键 1表示中键 2表示右键 而IE浏览器则是 1表示左键 4表示中间 2表示右键 这里的IE浏览器主要是IE8以下的浏览器 <br />}; <br />function getButton(e){ <br />/* <br />1、window.event这个属性IE和Chrome都是支持的 <br />2、但是Chrome也是支持W3C的 <br />3、所以，如果说W3C和IE都支持的话，那么就已W3C做为标准化 <br />*/ <br />if( e ){ // 作为第一次判断Chrome 就以W3C为标准了 <br />return e.button; <br />}else if( window.event ){ <br />switch( window.event.button ){ <br />case 1 : return 0; // 返回鼠标左键的值 <br />case 4 : return 1; // 返回鼠标中键的值 <br />case 2 : return 2; // 返回鼠标右键的值 <br />case 0 : return 2; // 返回鼠标右键的值 主要是360浏览器会返回了在IE浏览器中返回的0是代表没有按下鼠标键的时候所返回来的值 <br />}; <br />}; <br />};</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 04:29:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%b7%a8%e6%b5%8f%e8%a7%88%e5%99%a8/" title="跨浏览器">跨浏览器</a>, <a href="https://www.iamivan.net/tag/%e9%bc%a0%e6%a0%87%e6%8c%89%e9%94%ae%e5%80%bc/" title="鼠标按键值">鼠标按键值</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>原生js实现跨浏览器获取鼠标按键的值_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2lx5M.html" rel="bookmark">js 跨浏览器获取鼠标按键的值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 document.onmousedown = function( e ){ alert(getButton(e)) // e.button W3C是获取鼠标按键 0 表示左键 1表示中键 2表示右键 而IE浏览器则是 1表示左键 4表示中间 2表示右键 这里的IE浏览器主要是IE8以下的浏览器 }; function getButton(e){ /* 1.window.event这个属性IE和Chrome都是支持的 2.但是Chrome也是支持W3C的 3.所以,如果说W3C和IE都支持的话,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmO5Wz.html" rel="bookmark">JS使用getComputedStyle&lpar;&rpar;方法获取CSS属性值&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在对网页进行调试的过程中,经常会用到js来获取元素的CSS样式,方法有很多很多,现在仅把我经常用的方法总结如下: 1. obj.style:这个方法只能JS只能获取写在html标签中的写在style属性中的值(style=&quot;-&quot;),而无法获取定义在&lt;style type=&quot;text/css&quot;&gt;里面的属性. 复制代码 代码如下: &lt;span style=&quot;font-family:Arial;font-size:14px;&quot;&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0gxjz.html" rel="bookmark">JS实现的跨浏览器解析XML文件实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS实现的跨浏览器解析XML文件的方法.分享给大家供大家参考,具体如下: 下列代码把一个 XML 文档 (&quot;note.xml&quot;) 载入 XML 解析器中: &lt;script type=&quot;text/javascript&quot;&gt; function GetXmlHttpObject() { var xmlHttp=null; try { // Firefox, Opera 8.0+, Safari xmlHttp=new XMLHttpRequest(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAEEaZM.html" rel="bookmark">JS JSOP跨域请求实例详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在项目开发中遇到跨域的问题,一般都是通过JSONP来解决的.但是JSONP到底是个什么东西呢,实现的原理又是什么呢.在项目的空闲时间可以好好的来研究一下了. 1.什么是JSONP? 要了解JSONP,不得不提一下JSON,那么什么是JSON? JSON is a subset of the object literal notation of JavaScript. Since JSON is a subset of JavaScript, it can be used in the langu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlBKDp.html" rel="bookmark">原生 JS Ajax&comma;GET和POST 请求实例代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript/js的ajax的GET请求代码如下所示: &lt;script type=&quot;text/javascript&quot;&gt; /* 创建 XMLHttpRequest 对象 */ var xmlHttp; function GetXmlHttpObject(){ if (window.XMLHttpRequest){ // code for IE7+, Firefox, Chrome, Opera, Safari xmlhttp=new XMLHttpRequest();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOKwDb.html" rel="bookmark">跨浏览器的设置innerHTML方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ajax是个好东西,但使用起来却不是那么方便.问题总结如下: 在各种浏览器上的创建方式和使用方法不一致  各个浏览器对响应的缓存策略有所不同  浏览器存在跨域获取限制  前两个问题可以通过封装 XMLHTTPRequest 对象来解决,第三个问题的解决方法有很多中,兼容性和移植性比较好的就是在本域服务器上放置一个中转 proxy .Modello.ajax 就是提供这套解决方案的工具集. 安装 下载 Modello 和 Mdello.ajax  解压并将 modello.js, modello.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgELvAz.html" rel="bookmark">原生JS实现-星级评分系统的简单实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天我又写了个很酷的实例:星级评分系统(可自定义星星个数.显示信息) sufuStar.star(); 使用默认值5个星星,默认信息 var msg = [........]; sufuStar.star(10,msg); 自定义星星个数为10.显示信息msg格式参考默认值,条数必须和星星个数一致: 自己实现一些实例,有个好处,能增加应用各知识点的熟练度,还能检验出自己的薄弱项!一经发现,立即翻API文档恶补! 不知道是不是我太笨,这个实例居然写了整整一天! 不废话了,先说下这个实例涉及的知识点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GvEOp.html" rel="bookmark">原生js配合cookie制作保存路径的拖拽&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要是运用了原生js封装了一个cookie,然后使用了三个事件做拖拽,分别是onmousedown,onmousemove,onmouseup,这三个事件其中两个需要添加事件对象,也就是event,事件对象是一个不兼容的东西,所以需要处理兼容性的问题,也就是oEvent = ev || event; 通过事件对象,获取鼠标点击屏幕时的那个点,然后减去被拖拽物体距离左边的一个距离,最终就可以获取到当前点击位置距离物体的距离. 最后在onmouseup的时候做了一个return false,主要是为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6nlXM.html" rel="bookmark">再次谈论React&period;js实现原生js拖拽效果引起的一系列问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				React 起源于 Facebook 的内部项目,因为该公司对市场上所有 JavaScript MVC 框架,都不满意,就决定自己写一套,用来架设 Instagram 的网站.做出来以后,发现这套东西很好用,就在2013年5月开源了.由于 React 的设计思想极其独特,属于革命性创新,性能出众,代码逻辑却非常简单.所以,越来越多的人开始关注和使用,认为它可能是将来 Web 开发的主流工具. 前几天写的那个拖拽,自己留下的疑问...这次在热心博友的提示下又修正了一些小小的bug,也加了拖拽的边缘			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMroZjp.html" rel="bookmark" class="title">网页制作兼容Mozilla必须知道的知识</a>
					<div>
						网页 IE Mozilla 说明 document.all(id) document.getElementById(id) 无 document.all document.getElementsByT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV1Onp.html" rel="bookmark" class="title">C&num;中&comma;String和string的区别</a>
					<div>
						区别 C#中,字符串的声明,你使用String还是string?String? string? 只有一个大小写的问题,你习惯用哪个?知道具体的区别吗?我是习惯了用string,区别也是最近才找到了权威 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0borE6z.html" rel="bookmark" class="title">使您的应用程序调用我的应用程序，第1部分（上）</a>
					<div>
						Apache Geronimo 通信基础 -- 开发.部署和测试(上) Apache Geronimo 包含顶尖的消息传递实现,还有世界级的 Enterprise JavaBeans(EJB)实现,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrnqdp.html" rel="bookmark" class="title">Eclipse不可不知的用法之四：配置服务器与项目的新建运行</a>
					<div>
						这么有失水准的文章,真不好意思再写了.但毕竟还是有些初学者不熟悉,截些图来看一下配置服务 器的过程吧. (7) 配置Tomcat服务器 这里以配置Tomcat 6.0为例. 选择Server下面的Ru ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRleLz.html" rel="bookmark" class="title">利用图片的补色修复偏色图片</a>
					<div>
						利用图片的补色修复偏色图片 教程的修复偏色方法非常快捷,操作的时候只需要把素材图片复制一层,最大值的高斯模糊处理,然后反相,再把图层混合模式改为&quot;强光&quot;即可.原理:反相的时候我们就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze41Ljp.html" rel="bookmark" class="title">掌握要领 实现Excel动态链接外部数据库</a>
					<div>
						我们有时需要在Excel中调取其他数据库的数据,并且希望其他数据库数据改变时,Excel中调取的数据也随之动态改变.下面介绍在Excel中通过&quot;新建数据库查询&quot;(Microsoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPyv0z.html" rel="bookmark" class="title">Photoshop打造梦幻的秋季青绿色草地人物图片</a>
					<div>
						  素材图片以黄绿色为主,调色的时候需要把落叶的颜色转为比较鲜艳的橙红色;然后把黄绿色转为青绿色;再用云彩叠加增加梦幻效果即可. 原图 最终效果 1.打开原图素材大图,创建可选颜色调整图层,对黄色,绿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RyY9p.html" rel="bookmark" class="title">wps演示怎么添加文本框</a>
					<div>
						  1.首先我们打开wps演示,点击&quot;插入&quot;==&quot;文本框&quot; 我们可以根据自己需要,然后我们选择自己想要的类型文本框					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8DVeb.html" rel="bookmark" class="title">word中长破折号怎么打</a>
					<div>
						  方法一.软键盘法 &quot;──&quot;这个是用软键盘的&quot;制表符号&quot;里面的数字9就可以打出来且是不间断的, 根据需要连续点击&quot;数字9&quot;即可;若按住硬键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6dx2b.html" rel="bookmark" class="title">ps Lab模式下明度通道锐化方法</a>
					<div>
						  1.打开原图,点击:图像--模式--Lab颜色,然后复制一层. 2.转到通道面板,选择明度通道,点击&quot;创建新通道&quot;按钮,新建明度通道副本. 3.在明度通道副本执行:滤镜--风格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z9JPb.html" rel="bookmark" class="title">G480笔记本安装声卡驱动报错No Appropriate Driver to be installed的解决方案</a>
					<div>
						笔记本安装声卡驱动出现报错No Appropriate Driver to be installed 原因分析: 有Realtek和Conexant两种声卡,当系统无法自动识别设备的时候就会出现报错. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EnrrM.html" rel="bookmark" class="title">excel怎么转换成pdf格式？</a>
					<div>
						  方法一: 利用Microsoft office Excel软件直接将excel文件另存为pdf文件.但是,这种方法适合于2007及以上版本,且excel软件中安装了生成pdf文件的加载项,如果条件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3OGVp.html" rel="bookmark" class="title">docker cann&amp;&num;039&semi;t use openvswitch bridge direct&comma; but can use bridge-utils managed bridge in OVS-VSCTL managed bridge</a>
					<div>
						我这里是在CentOS 6.5 x64下测试的, 没有在7的环境下测试. openvswitch是一个不错的开源虚拟交换软件, 但是目前docker还不支持直接使用ovs管理的网桥, 可能是还没有实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badP1nz.html" rel="bookmark" class="title">Set vs&period; Set&amp;lt&semi;&quest;&amp;gt&semi;</a>
					<div>
						You may know that an unbounded wildcard Set&lt;?&gt; can hold elements of any type, and a raw type S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kkABM.html" rel="bookmark" class="title">srcollview-listview外面套了一个横向滑动的Srcoll，导致getView中position多次为0</a>
					<div>
						问题描述 listview外面套了一个横向滑动的Srcoll,导致getView中position多次为0 listview外面套了一个横向滑动的Srcoll,导致getView中position进去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Dd8b.html" rel="bookmark" class="title">建站必备的工具&excl;比dreamweaver更好的自助建站工具</a>
					<div>
						免费试用啦!史上最灵活最神奇的自助建站工具! 去看看, 卓天网络,首先问大家两个问题: ①现在找人做一个纯静态的企业展示型网站,加上购买域名空间,要多少钱? ②做一个简/繁/英三语同步,繁简自动转换, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEjy2M.html" rel="bookmark" class="title">Java开发者需要了解的移动开发编程语言</a>
					<div>
						移动应用开发行业在过去的五年里飞速地成倍增长,改变了全球企业功能.随着企业在最近一段时间调整移动应用到他们的生产力,以及他们跨平台移动设备的快速创新:它需要移动应用程序开发人员使用单一语言和许多的可重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRwx5b.html" rel="bookmark" class="title">我院要重新编写医院信息系统软件，请HIS软件开发商和我联系</a>
					<div>
						问题描述 我院要重新编写医院信息系统软件,请HIS软件开发商和我联系单位:连云港市第二人民医院HIS模块:1.门诊挂号收费子模块2.住院管理子模块3.病区护士工作站子模块4.中.西药库管理子模块5.门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7ERwp.html" rel="bookmark" class="title">SQL Server中一个隐性的IO性能杀手-Forwarded record</a>
					<div>
						原文:SQL Server中一个隐性的IO性能杀手-Forwarded record 简介     最近在一个客户那里注意到一个计数器很高(Forwarded Records/Sec),伴随着间歇性的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AeP9z.html" rel="bookmark" class="title">java-关于openjdk的两个疑问，基础问题&period;&period;</a>
					<div>
						问题描述 关于openjdk的两个疑问,基础问题.. 问题可能比较幼稚,本来想找一个windows版本的openjdk但是发现http://openjdk.java.net/ 上好像没有,那是不是意味 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeN75b.html" rel="bookmark" class="title">《WCF服务编程》关于&OpenCurlyDoubleQuote;队列服务&rdquo;一个值得商榷的地方</a>
					<div>
						今天写&lt;WCF技术剖析(卷2)&gt;关于&quot;队列服务&quot;部分,看了&lt;WCF服务编程&gt;相关的内容.里面介绍一个关于&quot;终结点不能共享相同的消息队列&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlr4ep.html" rel="bookmark" class="title">手动提交sitemap地图更新 加速网站快照更新</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 相信很多站都遇到过自己网站快照长期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKyDNb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;WannaCry&rdquo;袭击全球 &OpenCurlyDoubleQuote;比特币&rdquo;已非小众玩物</a>
					<div>
						5月12日起,一种名为&quot;WannaCry&quot; 的蠕虫勒索病毒成功偷袭了包括中国在内的全球百余国家,几乎以每秒感染1台电脑的速度快速攻陷医院.机场.ATM机.公司内网.学生电脑等各种端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB4q8M.html" rel="bookmark" class="title">php compact 通过变量创建数组&lowbar;php实例</a>
					<div>
						php compact 通过变量创建数组 compact函数通过一个或多个变量建立一个数组,改数组包括变量名和它们的值. 该函数的行为与extract()正好相反. 基本语法 array compac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGElVEM.html" rel="bookmark" class="title">ThinkPHP5实现作业管理系统中处理学生未交作业与已交作业信息的方法&lowbar;php实例</a>
					<div>
						本文实例讲述了ThinkPHP5实现作业管理系统中处理学生未交作业与已交作业信息的方法.分享给大家供大家参考,具体如下: 在作业管理系统中,学生登陆到个人中心后可以通过左侧的菜单查看自己已经提交的作业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKxlEb.html" rel="bookmark" class="title">网络安全防患于未然 警惕七大黑客常用网络软件</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 黑客最早源自英文hacker,早期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAARBJM.html" rel="bookmark" class="title">工业4&period;0万物联网兴起 智能手机或将消亡</a>
					<div>
						自从智能手机风靡之后,越来越多的生活内容被塞进了这块5寸左右的屏幕中,手机改变了生活,也改变了整个产业链的赚钱逻辑,于是,一窝蜂的制造商全部涌到了这个行业,都梦想着改变世界,顺便发一笔横财,但随着产业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgQ6kM.html" rel="bookmark" class="title">苹果计划为iOS 8操作系统添加高清音频播放功能</a>
					<div>
						摘要: 苹果正计划为全新的iOS 8操作系统添加高清音频播放功能,为了配合这项新技术,苹果可能还会发布一款全新的耳机和重新设计过的Lightning数据线. 当前iOS 7系统中仅支持播放等同于C 苹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ym4oz.html" rel="bookmark" class="title">抓取数据-httpclient怎么抓取最终跳转的网站数据？</a>
					<div>
						问题描述 httpclient怎么抓取最终跳转的网站数据? 公司要做个内部系统,抓取某个网站的数据,而那个网站是抓取淘宝的数据. 其中有个页面很复杂,搜索关键词后,跳转到当前页面,当前页面有个java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR3jrp.html" rel="bookmark" class="title">eclipse部署项目到tomcat</a>
					<div>
						以管理员身份运行Eclipse 1.移除 2.open 3.改成这样,然后ctrl+s保存 4.重新运行即可.					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
